#ifndef CCHALETLORADEVICE_H
#define CCHALETLORADEVICE_H

#include "GlobalDefine.h"
#include "LoraDevice.h"
#include <QSerialPort>
#include <QTimer>


class CChaletLoraDevice : public QObject, public CLoraDevice
{
    Q_OBJECT
public:
    CChaletLoraDevice();
    ~CChaletLoraDevice();
    int Init();
    QTimer *mLoraStatusRefreshTimer;


private:
    QSerialPort mLoraModuleSerialPort;

public slots:
    void  LoraStatusRefreshTimerExpired();
};

#endif // CCHALETLORADEVICE_H
